Subject: [homenet] MPVD requirments in homenet

From: Liang Geng <[email-masked]>
Date: Tue, 3 Mar 2015 17:30:12 +0800

Hi all,

I'm Liang from China Mobile, a recent follower of this community. 

Following a previous thread concerning the discussion of MPVD in Homenet on
3rd Feb, I personally think that certain use cases are quite well in line
with the mif MPVD scenario.

As homenet architecture provides autonomic network configuration in future
multi-service, multi-homed environment, I think it is also a new challenge
in terms of CPE management. My immature thought would be that MPvD may
provide a promising model. May I propose the following problems for the list
to see if it is worthy of some serious investigation, on which hopefully
would be something interesting I could make a brief draft for further
discussion (maybe in Dallas meeting)?

Problems to be addressed
1. Use case of MPVD in homenet
	-Single ISP, multiple services (covers single/multiple CE router(s))
	-Multiple ISP, multiple services (covers single/multiple CE
router(s)) 
2. The association of PvD and network configuration in homenet
	-Address configuration
	-Naming and service discovery
	For both, now thinking of a new PvD TLV which enables the
association of certain configuration and PvD. Initial thought would be that
no DHCP option extension is needed terms of HNCP based pvd coveying. Host
and non-HNCP routers may refer to mif work on how pvd information is
provided.
...more to be discussed and added	
	
Any comments would be extremely welcome.

Best wishes
Liang

---

From: Ole Troan <[email-masked]>
Date: Tue, 3 Mar 2015 15:04:43 +0100

Liang,

what do you mean by "multiple services"?
if you mean walled garden, the homenet architecture only has the following to say:

   "It should be noted that some multihoming scenarios may see one
   upstream being a "walled garden" and thus only appropriate for
   connectivity to the services of that provider; an example may be a
   VPN service that only routes back to the enterprise business network
   of a user in the homenet.  As per Section 4.2.1 of [RFC3002], we do
   not specifically target walled-garden multihoming as a goal of this
   document."

cheers,
Ole

> On 03 Mar 2015, at 10:30 , Liang Geng <[email-masked]> wrote:
> 
> Hi all,
> 
> _______________________________________________
> homenet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homenet

---

From: Liang Geng <[email-masked]>
Date: Wed, 4 Mar 2015 00:54:31 +0800

Hi Ole,

By saying "multiple services" I mean the services (i.e. Basic internet,
VoIP, VoD...) that can be generally provisioned independently from each
other, not necessarily from a single provider.

Best wishes,
Liang

-----邮件原件-----
发件人: homenet [mailto:[email-masked]] 代表 Ole Troan
发送时间: 2015年3月3日 22:05
收件人: Liang Geng
抄送: [email-masked]; Hui Deng
主题: Re: [homenet] MPVD requirments in homenet

Liang,

what do you mean by "multiple services"?
if you mean walled garden, the homenet architecture only has the following
to say:

cheers,
Ole

> Following a previous thread concerning the discussion of MPVD in 
> Homenet on 3rd Feb, I personally think that certain use cases are 
> quite well in line with the mif MPVD scenario.
> 
> As homenet architecture provides autonomic network configuration in 
> future multi-service, multi-homed environment, I think it is also a 
> new challenge in terms of CPE management. My immature thought would be 
> that MPvD may provide a promising model. May I propose the following 
> problems for the list to see if it is worthy of some serious 
> investigation, on which hopefully would be something interesting I 
> could make a brief draft for further discussion (maybe in Dallas meeting)?
> 
> Problems to be addressed
association 
> of certain configuration and PvD. Initial thought would be that no 
> DHCP option extension is needed terms of HNCP based pvd coveying. Host